org.kie.api.runtime.manager

## Interface RuntimeEnvironmentBuilder

-     public interface RuntimeEnvironmentBuilder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `RuntimeEnvironmentBuilder.Factory`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RuntimeEnvironmentBuilder` | `addAsset(Resource asset, ResourceType type)`
    `RuntimeEnvironmentBuilder` | `addConfiguration(String name, String value)`
    `RuntimeEnvironmentBuilder` | `addEnvironmentEntry(String name, Object value)`
    `RuntimeEnvironmentBuilder` | `classLoader(ClassLoader cl)`
    `RuntimeEnvironmentBuilder` | `entityManagerFactory(Object emf)`
    `RuntimeEnvironment` | `get()`
    `RuntimeEnvironmentBuilder` | `knowledgeBase(KieBase kbase)`
    `RuntimeEnvironmentBuilder` | `persistence(boolean persistenceEnabled)`
    `RuntimeEnvironmentBuilder` | `registerableItemsFactory(RegisterableItemsFactory factory)`
    `RuntimeEnvironmentBuilder` | `schedulerService(Object globalScheduler)`
    `RuntimeEnvironmentBuilder` | `userGroupCallback(UserGroupCallback callback)`
    `RuntimeEnvironmentBuilder` | `userInfo(UserInfo userInfo)`

- - ### Method Detail

    - #### persistence

          RuntimeEnvironmentBuilder persistence(boolean persistenceEnabled)

    - #### entityManagerFactory

          RuntimeEnvironmentBuilder entityManagerFactory(Object emf)

    - #### addAsset

          RuntimeEnvironmentBuilder addAsset(Resource asset,
                                             ResourceType type)

    - #### addEnvironmentEntry

          RuntimeEnvironmentBuilder addEnvironmentEntry(String name,
                                                        Object value)

    - #### addConfiguration

          RuntimeEnvironmentBuilder addConfiguration(String name,
                                                     String value)

    - #### knowledgeBase

          RuntimeEnvironmentBuilder knowledgeBase(KieBase kbase)

    - #### userGroupCallback

          RuntimeEnvironmentBuilder userGroupCallback(UserGroupCallback callback)

    - #### userInfo

          RuntimeEnvironmentBuilder userInfo(UserInfo userInfo)

    - #### registerableItemsFactory

          RuntimeEnvironmentBuilder registerableItemsFactory(RegisterableItemsFactory factory)

    - #### get

          RuntimeEnvironment get()

    - #### classLoader

          RuntimeEnvironmentBuilder classLoader(ClassLoader cl)

    - #### schedulerService

          RuntimeEnvironmentBuilder schedulerService(Object globalScheduler)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.